#!/bin/ksh

# clone-repo.sh
# This script creates an existing repository from a remote site
# Copyright (C) 2020  Scott C. MacCallum
# scm@sdf.org

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Be sure to define the following variables for your needs

host=git.sdf.org
user=scm

echo -n "Repository name: "
read repository

git clone https://$host/$user/$repository.git

exit 0
